<!DOCTYPE html>
<html>
<head>
  <title>Artillery report</title>
  <script src='https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.0/d3.min.js' charset='utf-8'></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.css" />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.js"></script>

  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,700' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=PT+Serif:400,700,400italic' rel='stylesheet' type='text/css'>
  <link href='https://netdna.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.css' rel='stylesheet' type='text/css'>
  <link href='https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css' rel='stylesheet' type='text/css'>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.6/moment.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/3.10.1/lodash.min.js"></script>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.2.0/ace.js" charset="utf-8"></script>

  <style>
  body, p, li {
    font-family: sans-serif;
    font-size: 10pt;
  }

  h1 {
    font-size: 18pt;
    font-weight: bold;
  }

  #errorsContainer > p {
    color: #009900;
  }

  #footer {
    padding: 1em;
    font-size: 0.8em;
    color: #999;
    text-align: center;
    margin-top: 1em;
    background-color: #eee;
  }
  #editor {
    font-size: 8pt;
    height: 20em;
  }
  </style>

  <script>
  window.Report = {
  "aggregate": {
    "timestamp": "2019-04-09T20:35:09.331Z",
    "scenariosCreated": 33662,
    "scenariosCompleted": 33662,
    "requestsCompleted": 33662,
    "latency": {
      "min": 1.9,
      "max": 1014.1,
      "median": 3.2,
      "p95": 5,
      "p99": 9.1
    },
    "rps": {
      "count": 33662,
      "mean": 46.68
    },
    "scenarioDuration": {
      "min": 2.9,
      "max": 1015.9,
      "median": 4.6,
      "p95": 7.2,
      "p99": 11.7
    },
    "scenarioCounts": {
      "0": 33662
    },
    "errors": {},
    "codes": {
      "200": 33662
    },
    "matches": 0,
    "customStats": {},
    "counters": {},
    "scenariosAvoided": 0,
    "phases": [
      {
        "duration": 120,
        "arrivalRate": 10,
        "rampTo": 50,
        "name": "Warm up the application"
      },
      {
        "duration": 600,
        "arrivalRate": 50,
        "name": "Sustained max load"
      }
    ]
  },
  "intermediate": [
    {
      "timestamp": "2019-04-09T20:23:18.070Z",
      "scenariosCreated": 110,
      "scenariosCompleted": 110,
      "requestsCompleted": 110,
      "latency": {
        "min": 2.4,
        "max": 12.5,
        "median": 3.3,
        "p95": 4.8,
        "p99": 9.7
      },
      "rps": {
        "count": 110,
        "mean": 11.14
      },
      "scenarioDuration": {
        "min": 4.2,
        "max": 78.5,
        "median": 5.6,
        "p95": 8.4,
        "p99": 37.4
      },
      "scenarioCounts": {
        "0": 110
      },
      "errors": {},
      "codes": {
        "200": 110
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:23:28.068Z",
      "scenariosCreated": 146,
      "scenariosCompleted": 146,
      "requestsCompleted": 146,
      "latency": {
        "min": 2,
        "max": 25.9,
        "median": 3.1,
        "p95": 4,
        "p99": 6
      },
      "rps": {
        "count": 146,
        "mean": 14.63
      },
      "scenarioDuration": {
        "min": 3.7,
        "max": 27.7,
        "median": 5.2,
        "p95": 7.4,
        "p99": 9.2
      },
      "scenarioCounts": {
        "0": 146
      },
      "errors": {},
      "codes": {
        "200": 146
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:23:38.071Z",
      "scenariosCreated": 177,
      "scenariosCompleted": 177,
      "requestsCompleted": 177,
      "latency": {
        "min": 2.1,
        "max": 6.8,
        "median": 3,
        "p95": 4.1,
        "p99": 6.2
      },
      "rps": {
        "count": 177,
        "mean": 17.72
      },
      "scenarioDuration": {
        "min": 3.7,
        "max": 10.5,
        "median": 5.3,
        "p95": 7,
        "p99": 9.2
      },
      "scenarioCounts": {
        "0": 177
      },
      "errors": {},
      "codes": {
        "200": 177
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:23:48.073Z",
      "scenariosCreated": 232,
      "scenariosCompleted": 232,
      "requestsCompleted": 232,
      "latency": {
        "min": 2.4,
        "max": 6.8,
        "median": 3.2,
        "p95": 4.3,
        "p99": 6.4
      },
      "rps": {
        "count": 232,
        "mean": 23.25
      },
      "scenarioDuration": {
        "min": 4,
        "max": 11.6,
        "median": 5.4,
        "p95": 7.5,
        "p99": 10.9
      },
      "scenarioCounts": {
        "0": 232
      },
      "errors": {},
      "codes": {
        "200": 232
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:23:58.073Z",
      "scenariosCreated": 246,
      "scenariosCompleted": 246,
      "requestsCompleted": 246,
      "latency": {
        "min": 2.2,
        "max": 9.1,
        "median": 3.1,
        "p95": 4.4,
        "p99": 5.8
      },
      "rps": {
        "count": 246,
        "mean": 24.65
      },
      "scenarioDuration": {
        "min": 3.9,
        "max": 11.1,
        "median": 5.3,
        "p95": 7.4,
        "p99": 8.1
      },
      "scenarioCounts": {
        "0": 246
      },
      "errors": {},
      "codes": {
        "200": 246
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:24:08.073Z",
      "scenariosCreated": 311,
      "scenariosCompleted": 311,
      "requestsCompleted": 311,
      "latency": {
        "min": 2,
        "max": 69.2,
        "median": 3,
        "p95": 4.2,
        "p99": 16
      },
      "rps": {
        "count": 311,
        "mean": 31.16
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 71,
        "median": 4.9,
        "p95": 7.1,
        "p99": 19.8
      },
      "scenarioCounts": {
        "0": 311
      },
      "errors": {},
      "codes": {
        "200": 311
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:24:18.074Z",
      "scenariosCreated": 317,
      "scenariosCompleted": 317,
      "requestsCompleted": 317,
      "latency": {
        "min": 1.9,
        "max": 8.1,
        "median": 3,
        "p95": 3.8,
        "p99": 7
      },
      "rps": {
        "count": 317,
        "mean": 31.7
      },
      "scenarioDuration": {
        "min": 3.5,
        "max": 14.3,
        "median": 4.9,
        "p95": 6.6,
        "p99": 9.1
      },
      "scenarioCounts": {
        "0": 317
      },
      "errors": {},
      "codes": {
        "200": 317
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:24:28.071Z",
      "scenariosCreated": 349,
      "scenariosCompleted": 349,
      "requestsCompleted": 349,
      "latency": {
        "min": 2.1,
        "max": 6.1,
        "median": 3,
        "p95": 3.8,
        "p99": 4.5
      },
      "rps": {
        "count": 349,
        "mean": 34.97
      },
      "scenarioDuration": {
        "min": 3.7,
        "max": 11.3,
        "median": 4.9,
        "p95": 6.6,
        "p99": 8.1
      },
      "scenarioCounts": {
        "0": 349
      },
      "errors": {},
      "codes": {
        "200": 349
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:24:38.071Z",
      "scenariosCreated": 393,
      "scenariosCompleted": 392,
      "requestsCompleted": 392,
      "latency": {
        "min": 2.2,
        "max": 9.7,
        "median": 3.1,
        "p95": 4.1,
        "p99": 6.1
      },
      "rps": {
        "count": 392,
        "mean": 39.28
      },
      "scenarioDuration": {
        "min": 3.5,
        "max": 11.8,
        "median": 4.9,
        "p95": 6.9,
        "p99": 10.1
      },
      "scenarioCounts": {
        "0": 393
      },
      "errors": {},
      "codes": {
        "200": 392
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:24:48.075Z",
      "scenariosCreated": 421,
      "scenariosCompleted": 422,
      "requestsCompleted": 422,
      "latency": {
        "min": 2.1,
        "max": 992.3,
        "median": 3.2,
        "p95": 429.8,
        "p99": 866.8
      },
      "rps": {
        "count": 422,
        "mean": 42.2
      },
      "scenarioDuration": {
        "min": 3.4,
        "max": 994.7,
        "median": 4.8,
        "p95": 431.1,
        "p99": 868.4
      },
      "scenarioCounts": {
        "0": 421
      },
      "errors": {},
      "codes": {
        "200": 422
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:24:58.074Z",
      "scenariosCreated": 449,
      "scenariosCompleted": 448,
      "requestsCompleted": 448,
      "latency": {
        "min": 2.1,
        "max": 27.5,
        "median": 3.3,
        "p95": 4.7,
        "p99": 7.3
      },
      "rps": {
        "count": 449,
        "mean": 44.99
      },
      "scenarioDuration": {
        "min": 3.3,
        "max": 30.3,
        "median": 4.9,
        "p95": 7.2,
        "p99": 11.8
      },
      "scenarioCounts": {
        "0": 449
      },
      "errors": {},
      "codes": {
        "200": 448
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 1,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:25:08.074Z",
      "scenariosCreated": 485,
      "scenariosCompleted": 485,
      "requestsCompleted": 485,
      "latency": {
        "min": 2.1,
        "max": 11.2,
        "median": 3.2,
        "p95": 4.7,
        "p99": 8.1
      },
      "rps": {
        "count": 484,
        "mean": 48.55
      },
      "scenarioDuration": {
        "min": 3.3,
        "max": 15.1,
        "median": 4.8,
        "p95": 6.9,
        "p99": 10.5
      },
      "scenarioCounts": {
        "0": 485
      },
      "errors": {},
      "codes": {
        "200": 485
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:25:18.076Z",
      "scenariosCreated": 498,
      "scenariosCompleted": 499,
      "requestsCompleted": 499,
      "latency": {
        "min": 2.5,
        "max": 62.4,
        "median": 3.4,
        "p95": 6.1,
        "p99": 20.3
      },
      "rps": {
        "count": 499,
        "mean": 49.9
      },
      "scenarioDuration": {
        "min": 3.6,
        "max": 63.8,
        "median": 5,
        "p95": 8.4,
        "p99": 27.5
      },
      "scenarioCounts": {
        "0": 498
      },
      "errors": {},
      "codes": {
        "200": 499
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:25:28.073Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.3,
        "max": 44.9,
        "median": 3.5,
        "p95": 8.1,
        "p99": 17.4
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 3.4,
        "max": 76.2,
        "median": 5.1,
        "p95": 10.3,
        "p99": 21.4
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:25:38.072Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.3,
        "max": 33.4,
        "median": 3.4,
        "p95": 6.9,
        "p99": 16.5
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 3.4,
        "max": 35.6,
        "median": 5,
        "p95": 9.8,
        "p99": 21.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:25:48.072Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 10.9,
        "median": 3.4,
        "p95": 5.4,
        "p99": 7.7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 13.8,
        "median": 4.9,
        "p95": 7.8,
        "p99": 10.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:25:58.072Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.4,
        "max": 48.8,
        "median": 3.5,
        "p95": 6,
        "p99": 11
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.6,
        "max": 51.2,
        "median": 5.1,
        "p95": 8.5,
        "p99": 14.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:26:08.073Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.5,
        "max": 20.1,
        "median": 3.6,
        "p95": 6.3,
        "p99": 10.3
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.7,
        "max": 29.2,
        "median": 5.5,
        "p95": 9.3,
        "p99": 15
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:26:18.072Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.3,
        "max": 9.4,
        "median": 3.4,
        "p95": 4.9,
        "p99": 6.4
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.5,
        "max": 11.1,
        "median": 4.9,
        "p95": 7,
        "p99": 8.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:26:28.071Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 11.5,
        "median": 3,
        "p95": 4.6,
        "p99": 9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 28.3,
        "median": 4.3,
        "p95": 6.8,
        "p99": 11.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:26:38.069Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 15,
        "median": 3.1,
        "p95": 4.4,
        "p99": 7.7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 16.9,
        "median": 4.5,
        "p95": 6.7,
        "p99": 9.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:26:48.071Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 15.4,
        "median": 3.3,
        "p95": 4.9,
        "p99": 8.7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.3,
        "max": 16.9,
        "median": 4.6,
        "p95": 6.9,
        "p99": 11.4
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:26:58.072Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.4,
        "max": 10,
        "median": 3.2,
        "p95": 5.2,
        "p99": 7.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.4,
        "max": 11.4,
        "median": 4.5,
        "p95": 7.1,
        "p99": 10.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:27:08.071Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 22.9,
        "median": 3.2,
        "p95": 5.4,
        "p99": 8.5
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 26.2,
        "median": 4.5,
        "p95": 7.2,
        "p99": 10.7
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:27:18.071Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 12.5,
        "median": 3.3,
        "p95": 5.1,
        "p99": 8.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.3,
        "max": 18.7,
        "median": 4.7,
        "p95": 7.3,
        "p99": 11.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:27:28.070Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.4,
        "max": 12.3,
        "median": 3.9,
        "p95": 5.9,
        "p99": 9.6
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.7,
        "max": 14.5,
        "median": 5.7,
        "p95": 8.3,
        "p99": 11.7
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:27:38.068Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2,
        "max": 22.7,
        "median": 3.7,
        "p95": 6.2,
        "p99": 9.4
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 3.7,
        "max": 27.2,
        "median": 5.5,
        "p95": 8.3,
        "p99": 11.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:27:48.067Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 9.9,
        "median": 3.1,
        "p95": 4.4,
        "p99": 7.3
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 3.3,
        "max": 11.1,
        "median": 4.4,
        "p95": 6.1,
        "p99": 9.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:27:58.069Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.3,
        "max": 13.4,
        "median": 3.2,
        "p95": 4.7,
        "p99": 8.6
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.4,
        "max": 15.5,
        "median": 4.7,
        "p95": 6.4,
        "p99": 9.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:28:08.068Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.4,
        "max": 11.8,
        "median": 3.3,
        "p95": 4.5,
        "p99": 7.4
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.5,
        "max": 16.8,
        "median": 4.8,
        "p95": 6.8,
        "p99": 9.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:28:18.068Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.3,
        "max": 19.8,
        "median": 3.2,
        "p95": 4.9,
        "p99": 10.3
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.5,
        "max": 21.8,
        "median": 4.6,
        "p95": 6.6,
        "p99": 12.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:28:28.067Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.3,
        "max": 9.5,
        "median": 3.3,
        "p95": 4.7,
        "p99": 6.2
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 3.4,
        "max": 11.4,
        "median": 4.8,
        "p95": 6.5,
        "p99": 8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:28:38.069Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.3,
        "max": 16.2,
        "median": 3.6,
        "p95": 5.3,
        "p99": 8.8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.6,
        "max": 17.8,
        "median": 5.3,
        "p95": 7.3,
        "p99": 10.7
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:28:48.068Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.4,
        "max": 48.3,
        "median": 3.6,
        "p95": 7,
        "p99": 11.3
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.6,
        "max": 50.4,
        "median": 5.4,
        "p95": 10.2,
        "p99": 17.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:28:58.067Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.4,
        "max": 18.9,
        "median": 3.7,
        "p95": 6.3,
        "p99": 10.4
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.6,
        "max": 20.6,
        "median": 5.5,
        "p95": 8.5,
        "p99": 12.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:29:08.068Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.4,
        "max": 8.5,
        "median": 3.3,
        "p95": 5,
        "p99": 7.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.4,
        "max": 10.6,
        "median": 4.8,
        "p95": 7.3,
        "p99": 9.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:29:18.067Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.4,
        "max": 23,
        "median": 3.7,
        "p95": 7,
        "p99": 12.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.6,
        "max": 26.9,
        "median": 5.4,
        "p95": 9.9,
        "p99": 15.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:29:28.065Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.5,
        "max": 17.1,
        "median": 3.6,
        "p95": 6,
        "p99": 12.5
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.6,
        "max": 23,
        "median": 5.3,
        "p95": 8.5,
        "p99": 15.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:29:38.065Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.5,
        "max": 22.7,
        "median": 3.8,
        "p95": 5.8,
        "p99": 8.8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.7,
        "max": 24.8,
        "median": 5.6,
        "p95": 8.3,
        "p99": 11.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:29:48.065Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.4,
        "max": 23.5,
        "median": 4,
        "p95": 6.7,
        "p99": 11
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.6,
        "max": 34.5,
        "median": 5.9,
        "p95": 9.3,
        "p99": 15.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:29:58.064Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 12.3,
        "median": 3.2,
        "p95": 4.4,
        "p99": 7.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.3,
        "max": 15.2,
        "median": 4.6,
        "p95": 6.3,
        "p99": 9.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:30:08.063Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 8.9,
        "median": 3.1,
        "p95": 4.1,
        "p99": 5.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3,
        "max": 10.5,
        "median": 4.3,
        "p95": 5.9,
        "p99": 7.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:30:18.065Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 29.6,
        "median": 3.2,
        "p95": 4.9,
        "p99": 13.4
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.3,
        "max": 31.7,
        "median": 4.6,
        "p95": 7.2,
        "p99": 16.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:30:28.065Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 8.8,
        "median": 3.2,
        "p95": 4.5,
        "p99": 6.4
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.3,
        "max": 10.9,
        "median": 4.6,
        "p95": 6.4,
        "p99": 8.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:30:38.062Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.4,
        "max": 21.2,
        "median": 3.4,
        "p95": 5.6,
        "p99": 13
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 3.4,
        "max": 30.5,
        "median": 4.9,
        "p95": 7.8,
        "p99": 14.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:30:48.062Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 11,
        "median": 3.1,
        "p95": 4.6,
        "p99": 7.8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 12.1,
        "median": 4.3,
        "p95": 6.5,
        "p99": 9.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:30:58.064Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 7,
        "median": 2.9,
        "p95": 4.1,
        "p99": 6.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.1,
        "max": 9.2,
        "median": 4.1,
        "p95": 5.7,
        "p99": 7.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:31:08.062Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 10.9,
        "median": 2.9,
        "p95": 4,
        "p99": 6.3
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 13.3,
        "median": 4,
        "p95": 5.7,
        "p99": 8.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:31:18.061Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 11.8,
        "median": 2.9,
        "p95": 4.2,
        "p99": 7.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 13.7,
        "median": 4.1,
        "p95": 5.9,
        "p99": 9.1
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:31:28.061Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2,
        "max": 36.9,
        "median": 2.9,
        "p95": 4.1,
        "p99": 8.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3,
        "max": 37.9,
        "median": 4.1,
        "p95": 5.8,
        "p99": 9.9
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:31:38.063Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 10.5,
        "median": 2.9,
        "p95": 4.3,
        "p99": 6.4
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.1,
        "max": 13.9,
        "median": 4.2,
        "p95": 6,
        "p99": 8.4
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:31:48.061Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 14.3,
        "median": 2.9,
        "p95": 4,
        "p99": 6.6
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.1,
        "max": 15.4,
        "median": 4.2,
        "p95": 5.8,
        "p99": 8.4
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:31:58.061Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 22.5,
        "median": 2.9,
        "p95": 4.1,
        "p99": 6.6
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 24.8,
        "median": 4.2,
        "p95": 5.8,
        "p99": 8.4
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:32:08.061Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 8,
        "median": 2.9,
        "p95": 3.9,
        "p99": 5.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 10.1,
        "median": 4.1,
        "p95": 5.4,
        "p99": 7.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:32:18.060Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 9.8,
        "median": 2.9,
        "p95": 4,
        "p99": 6.5
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3,
        "max": 14.1,
        "median": 4.1,
        "p95": 5.7,
        "p99": 8.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:32:28.059Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 18.9,
        "median": 2.8,
        "p95": 3.9,
        "p99": 5.6
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.1,
        "max": 20,
        "median": 4,
        "p95": 5.5,
        "p99": 7.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:32:38.059Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 10.3,
        "median": 2.9,
        "p95": 4,
        "p99": 5.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.1,
        "max": 12,
        "median": 4.1,
        "p95": 5.5,
        "p99": 7.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:32:48.059Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2,
        "max": 22.9,
        "median": 2.9,
        "p95": 4.2,
        "p99": 7.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3,
        "max": 24,
        "median": 4.2,
        "p95": 5.8,
        "p99": 9.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:32:58.060Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2,
        "max": 11.2,
        "median": 2.9,
        "p95": 3.9,
        "p99": 4.8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2.9,
        "max": 14.1,
        "median": 4.1,
        "p95": 5.6,
        "p99": 6.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:33:08.058Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 8.8,
        "median": 3,
        "p95": 4,
        "p99": 5.6
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 12.9,
        "median": 4.2,
        "p95": 5.5,
        "p99": 6.9
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:33:18.058Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 15,
        "median": 2.9,
        "p95": 3.9,
        "p99": 5.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 16.1,
        "median": 4.1,
        "p95": 5.6,
        "p99": 8.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:33:28.058Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 9.4,
        "median": 2.9,
        "p95": 4.1,
        "p99": 7.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.1,
        "max": 11.7,
        "median": 4.1,
        "p95": 5.9,
        "p99": 8.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:33:38.060Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 13,
        "median": 3,
        "p95": 4.2,
        "p99": 7.8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 14.3,
        "median": 4.2,
        "p95": 5.8,
        "p99": 9.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:33:48.057Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2,
        "max": 10.4,
        "median": 3,
        "p95": 4.1,
        "p99": 6.7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.1,
        "max": 14,
        "median": 4.3,
        "p95": 5.9,
        "p99": 9.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:33:58.058Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 11.6,
        "median": 2.9,
        "p95": 4,
        "p99": 5.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.1,
        "max": 12.9,
        "median": 4.1,
        "p95": 5.8,
        "p99": 7.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:34:08.058Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.1,
        "max": 14.4,
        "median": 3,
        "p95": 4,
        "p99": 6.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.1,
        "max": 18.9,
        "median": 4.2,
        "p95": 5.6,
        "p99": 7.4
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:34:18.056Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 1.9,
        "max": 1014.1,
        "median": 3,
        "p95": 572.4,
        "p99": 924.6
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2.9,
        "max": 1015.9,
        "median": 4.2,
        "p95": 573.4,
        "p99": 925.7
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:34:28.055Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 17,
        "median": 3.1,
        "p95": 4.2,
        "p99": 5.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 18,
        "median": 4.3,
        "p95": 6,
        "p99": 7.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:34:38.055Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 11.9,
        "median": 2.9,
        "p95": 4.1,
        "p99": 6.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.3,
        "max": 14,
        "median": 4.1,
        "p95": 5.7,
        "p99": 8.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:34:48.056Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 15.7,
        "median": 3,
        "p95": 4.1,
        "p99": 6.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 16.8,
        "median": 4.1,
        "p95": 5.9,
        "p99": 8.7
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:34:58.055Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 11.7,
        "median": 2.9,
        "p95": 4,
        "p99": 6.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.2,
        "max": 13.2,
        "median": 4.1,
        "p95": 5.6,
        "p99": 9.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:35:08.057Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.2,
        "max": 7.6,
        "median": 3,
        "p95": 4,
        "p99": 5.3
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.3,
        "max": 9,
        "median": 4.2,
        "p95": 5.7,
        "p99": 7.4
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:35:09.094Z",
      "scenariosCreated": 28,
      "scenariosCompleted": 28,
      "requestsCompleted": 28,
      "latency": {
        "min": 2.4,
        "max": 3.6,
        "median": 2.9,
        "p95": 3.5,
        "p99": 3.6
      },
      "rps": {
        "count": 28,
        "mean": 27.18
      },
      "scenarioDuration": {
        "min": 3.4,
        "max": 5.4,
        "median": 4.3,
        "p95": 5.1,
        "p99": 5.4
      },
      "scenarioCounts": {
        "0": 28
      },
      "errors": {},
      "codes": {
        "200": 28
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    }
  ]
};
  </script>

  <style>
      h1 {
        line-height: 200%;
      }

      body {
          background-color: #fcfcfc;
      }

      .container {
          width: 100%;
          min-width: 960px;
      }
  </style>


</head>
<body>

<div class="container">

<div class="row" id="header">
  <div class="col-lg-4 col-lg-offset-4">
    <pre style="font-size: 5pt; background-color: #fcfcfc; border: none;">
            _   _ _ _                                                _
  __ _ _ __| |_(_) | | ___ _ __ _   _      _ __ ___ _ __   ___  _ __| |_
 / _` | '__| __| | | |/ _ \ '__| | | |    | '__/ _ \ '_ \ / _ \| '__| __|
| (_| | |  | |_| | | |  __/ |  | |_| |    | | |  __/ |_) | (_) | |  | |_
 \__,_|_|   \__|_|_|_|\___|_|   \__, |    |_|  \___| .__/ \___/|_|   \__|
                                |___/              |_|

    </pre>
  </div>
</div>

<div class="row">
  <div class="col-lg-12">
    <h1 class="text-center" id="page-title">Test run on <span id="timestamp">date</span></h1>
  </div>
</div>

<div class="row">
  <div class="col-lg-3">
    <p><strong>Summary</strong></p>
    <table class="table table-bordered table-hover table-condensed">
      <tbody>
        <tr>
          <td>Test duration</td>
          <td><span id="testDuration">0</span> sec</td>
        </tr>
        <tr>
          <td>Scenarios created</td>
          <td><span id="scenariosCreated">0</span></td>
        </tr>

        <tr>
          <td>Scenarios completed</td>
          <td><span id="scenariosCompleted">0</span></td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="col-lg-5" id="scenarioCountsContainer">
    <div>
      <strong>Scenario counts:</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="scenarioCounts">
      </table>
    </div>
  </div>

  <div class="col-lg-1">
    <div id="codesContainer">
      <strong>Codes</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="codes">
      </table>
    </div>
  </div>

  <div class="col-lg-3">
    <div id="errorsContainer">
      <strong>Errors</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="errors">
      </table>
    </div>
  </div>
</div> <!-- /.row -->

<div class="row">
  <div class="text-center col-lg-12">
    <h2>Charts</h2>
  </div>
</div>

<div class="row">
  <div class="latency-histogram text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="latency text-center col-lg-12"></div>
</div>

<div class="latency-legend"></div>

<div class="row">

</div>

<div class="row">
  <div class="concurrency text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="rps-mean text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="rps-count text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="codes-line text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="errors-line text-center col-lg-12"></div>
</div>


  


</div>

<div class="row">
  <div class="col-lg-8 col-lg-offset-2">
    <h3 class="text-center">Raw report data</h3>
    <p>This is the raw JSON stats output that the report was generated from.</p>
    <div id="editor">
    </div>
  </div>
</div>

<script>
var editor = ace.edit("editor");
editor.getSession().setMode("ace/mode/javascript");
editor.setValue(JSON.stringify(Report, null, 2));
editor.gotoLine(1);editor.setHighlightActiveLine(false);

var l = _;

$('#timestamp').html(moment(Report.aggregate.timestamp).format('DD MMM YYYY HH:mm:SS'));
$('#testDuration').html(l.size(Report.intermediate) * 10);
$('#scenariosCompleted').html(Report.aggregate.scenariosCompleted);
$('#scenariosCreated').html(Report.aggregate.scenariosCreated);

var markers = [];
if(l.size(Report.phases) > 0) {
  markers = l.foldl(Report.phases, function(acc, phase, index) {
    var label = phase.name || 'Phase ' + (index + 1);
    var timestamp = (index === 0) ? 0 : Report.phases[index - 1].duration + acc[index - 1].timestamp;

    acc.push({
      timestamp: timestamp,
      label: label
    });

    return acc;
  }, []);
}

if (l.size(Report.aggregate.scenarioCounts) > 0) {
  l.each(Report.aggregate.scenarioCounts, function(count, name) {
    var $tdName = $('<td>' + name + '</td>');
    var percentage = Math.round(count / Report.aggregate.scenariosCreated * 100 * 1000) / 1000;
    var $tdCount = $('<td>' + count + ' (' + percentage + '%)' + '</td>');
    var $el = $('<tr></tr>')
      .append($tdName)
      .append($tdCount)
      .appendTo($('#scenarioCounts'));
  });
} else {
  $('#scenarioCountsContainer').hide();
}

if (l.size(Report.aggregate.codes) > 0) {
  l.each(Report.aggregate.codes, function(count, code) {
    var anchor = '';
    if (code >= 100 && code < 200) {
      anchor = '#1xx_Informational';
    } else if (code >= 200 && code < 300) {
      anchor = '#2xx_Success';
    } else if (code >= 300 && code < 400) {
      anchor = '#3xx_Redirection';
    } else if (code >= 400 && code < 500) {
      anchor = '#4xx_Client_Error';
    } else if (code >= 500 && code < 600) {
      anchor = '#5xx_Server_Error';
    }

    var $a = $('<a>' + code + '</a>').attr('href', 'https://en.wikipedia.org/wiki/List_of_HTTP_status_codes' + anchor);
    var $td = $('<td></td>').append($a);
    var $el = $('<tr></tr>')
      .append($td)
      .append($('<td>' + count + '</td>'))
      .appendTo($('#codes'));
  });
} else {
  $('#codesContainer').hide();
}

if (l.size(Report.aggregate.errors) > 0) {
  l.each(Report.aggregate.errors, function(count, code) {
    var $el = $('<tr></tr>')
      .append($('<td>' + code + '</td>'))
      .append($('<td>' + count + '</td>'))
      .appendTo($('#errors'));
  });
} else {
  $('#errorsContainer > p').html('&#10004; Test completed without network or OS errors.');
}

var histogramData = l.map(Report.aggregate.latency, function(v, k) { return {bin: k, value: v} });

MG.data_graphic({
  chart_type: 'bar',
  x_label: 'Percentile',
  y_label: '(ms)',
  animate_on_load: true,
  title: 'Overall Latency Distribution',
  description: 'Distribution of all observed response latencies',
  target: '.latency-histogram',
  data: histogramData,
  x_accessor: 'bin',
  y_accessor: 'value',
  binned: true,
  height: 250,
  interpolate: 'monotone',
  padding_percentage: 0,
  bar_orientation: 'vertical',
  width: 450
});

var chartData = l.map(
  window.Report.intermediate,
  function(o,i) {
    return {
      timestamp: i*10+10,

      rpsMean: o.rps.mean,
      rpsCount: o.rps.count,
      concurrency: o.concurrency,
      latencyMax: o.latency.max,
      latencyp99: o.latency.p99,
      latencyp95: o.latency.p95,
      latencyMedian: o.latency.median,
      latencyMin: o.latency.min
    }
  });

//
// Response codes
//

if (l.size(Report.aggregate.codes) > 0) {
  var codesData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.codes, function(count, code) {
      res[code] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueCodes = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.codes, function(count, code) {
      if (l.indexOf(acc, code) === -1) {
        acc.push(code);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    x_label: 'Time',
    y_label: 'Count',
    title: 'HTTP codes',
    description: 'Occurence of HTTP response codes',
    target: '.codes-line',
    data: codesData,
    x_accessor: 'timestamp',
    y_accessor: uniqueCodes,
    legend: uniqueCodes,
    right: 50,
    chart_type: 'line',
    area: false,
    markers: markers,
    width: 900
  });
}

//
// Errors
//

if (l.size(Report.aggregate.errors) > 0) {
  var errorData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.errors, function(count, name) {
      res[name] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueErrors = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.errors, function(count, name) {
      if (l.indexOf(acc, name) === -1) {
        acc.push(name);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    title: 'Error Codes',
    description: 'Occurence of error codes',
    target: '.errors-line',
    data: errorData,
    x_accessor: 'timestamp',
    y_accessor: uniqueErrors,
    chart_type: 'line',
    area: false,
    markers: markers
  });

}

//
// Latency
//
MG.data_graphic({
  chart_type: 'line',
  x_label: 'Time',
  y_label: '(ms)',
  animate_on_load: true,
  area: false,
  title: "Latency At Intervals",
  description: "Latency values at different points during the test run",
  data: chartData,
  target: '.latency',
  width: 900,
  x_accessor: 'timestamp',
  y_accessor: ['latencyMin', 'latencyMedian', 'latencyp95', 'latencyMax'],
  legend: ['min', 'p50', 'p95', 'max'],
  //legend_target: '.latency-legend',
  right: 50,
  interpolate: 'monotone',
  mouseover: function(d, i) {
  },
  markers: markers
        });

            MG.data_graphic({
            animate_on_load: true,
            area: false,
            y_label: 'Count',
            x_label: 'Time',
            title: 'Concurrent users',
            description: 'Concurrent users',
            data: chartData,
            target: '.concurrency',
            x_accessor: 'timestamp',
            y_accessor: ['concurrency'],
            interpolate: 'monotone',
            markers: markers,
            width: 900
            });

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'Mean RPS',
  description: 'Mean requests per second',
  data: chartData,
  target: '.rps-mean',
  x_accessor: 'timestamp',
  y_accessor: ['rpsMean'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'RPS Count',
  description: 'Count of requests per second',
  data: chartData,
  target: '.rps-count',
  x_accessor: 'timestamp',
  y_accessor: ['rpsCount'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});
</script>
<div id="footer">
  <footer>This report was created with <a href="https://artillery.io">Artillery</a> - free open-source load-testing for HTTP and WebSockets</footer>
</div>
</body>
</html>
